[@rxap/forms](../wiki/globals) / ExtractAbstractControl

# Type Alias: ExtractAbstractControl\<T, U\>

> **ExtractAbstractControl**\<`T`, `U`\>: `T` *extends* [`KeyValueControls`](../wiki/TypeAlias.KeyValueControls)\<`any`\> ? `{ [K in keyof U]: AbstractControl<U[K]> }` : `T`

Defined in: [packages/angular/forms/src/lib/types.ts:109](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/types.ts#L109)

## Type Parameters

• **T**

• **U**
